(define (domain matchcellar)
     (:requirements :typing
      :fluents
      :durative-actions
      :duration-inequalities
)
     (:types match fuse)
     (:predicates
          (handfree)
          (unused ?match - match)
          (mended ?fuse - fuse)
	  (light ?match - match))
     (:functions
       (max_light_match_duration ?match - match)
       (max_mend_fuse_duration ?fuse - fuse)
       (min_mend_fuse_duration ?fuse - fuse)
     )
     (:durative-action LIGHT_MATCH
          :parameters (?match - match)
          ;; :duration (<= ?duration 5)
          :duration (<= ?duration (max_light_match_duration ?match))
          :condition (and
	       (at start (unused ?match)))
          :effect (and
		(at start (not (unused ?match)))
		(at start (light ?match))
		(at end (not (light ?match)))))


     (:uncontrollable-durative-action MEND_FUSE
          :parameters (?fuse - fuse ?match - match)
          :duration (and (<= ?duration (max_mend_fuse_duration ?fuse))
                         (>= ?duration (min_mend_fuse_duration ?fuse)))
          :condition (and
               (at start (handfree))
	       (over all (light ?match)))
          :effect (and
               (at start (not (handfree)))
               (at end (mended ?fuse))
               (at end (handfree))))
)
